# gs-log

[GS Open Source](https://garrity.co/oss.html) |
[License (MIT)](./LICENSE)

Logging API and Engine for Scala 3. Intended for use with effect systems such as
[Cats Effect](https://typelevel.org/cats-effect/). Prioritizes structured
logging and emphasizes _data_ over _messages_. Provides out-of-the-box support
for handling sensitive information.

- [Usage](#usage)
    - [Dependency](#dependency)
- [Donate](#donate)

## Usage

### Dependency

This artifact is available in the Garrity Software Maven repository.

```scala
externalResolvers +=
  "Garrity Software Releases" at "https://maven.garrity.co/gs"

val GsLog: ModuleID =
  "gs" %% "gs-log-v0" % "$VERSION"
```

## Donate

Enjoy this project or want to help me achieve my [goals](https://garrity.co)?
Consider [Donating to Pat on Ko-fi](https://ko-fi.com/gspfm).
